package com.trs.project.timer;

import lombok.extern.slf4j.Slf4j;
import org.quartz.DisallowConcurrentExecution;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@DisallowConcurrentExecution
public class BusinessFTPDATETask {
    @Autowired
    private BusinessTask businessTask;
    @Autowired
    private BusinessFtpTask businessFtpTask;

    public void execute() {
       try {
            log.info("===execute==saveOrUpdateFTP======");
            businessFtpTask.saveOrUpdateFTP();
        }catch (Exception e){
            e.printStackTrace();
        }
    }
}
